<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>He_Arc</b></li><li class="navelem"><b>RPG</b></li><li class="navelem"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html">Utility</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">He_Arc::RPG::Utility Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html">He_Arc::RPG::Utility</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#aa246321019a4f82f912c1d22ac9c00f0">CenterTextWithSpace</a>(int length, string text)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html">He_Arc::RPG::Utility</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#ad27148ac82287e9cbd731fdf7e2555dd">ClearTerminal</a>()</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html">He_Arc::RPG::Utility</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#ae198c4ca91f71de1174a1b6e4ca1f6f6">distinctVector</a>(vector&lt; T &gt; source)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html">He_Arc::RPG::Utility</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>dtTuple</b> typedef (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html">He_Arc::RPG::Utility</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html">He_Arc::RPG::Utility</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a818b72ff6a9d889d17d5887bc09c6be6">dtTupleToString</a>(dtTuple dt)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html">He_Arc::RPG::Utility</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a5aaa8b8736d40ebf688e48e9abff1828">GetBorder</a>(int length, string border)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html">He_Arc::RPG::Utility</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a49d2ed8748b4a0242d5ac72911181951">GetDateTimeFromSysClock</a>(const chrono::system_clock::time_point clock)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html">He_Arc::RPG::Utility</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#ab772e56b2cece950f5b0bbba70008970">GetTextLine</a>(int length, string border, string text, bool center=false)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html">He_Arc::RPG::Utility</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a17cac406bb4a5448b560e85f9695d583">LeftPadding</a>(int totalLength, string text)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html">He_Arc::RPG::Utility</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a15ee8386805086e925b34467e953744f">LeftPadding</a>(int totalLength, char character)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html">He_Arc::RPG::Utility</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#ab1aace0bbdcc67ac828a06db6354fd61">TabShift</a>(int qty)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html">He_Arc::RPG::Utility</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a51b62483a99745fed9691dae9316a79a">VectToList</a>(vector&lt; T &gt; src)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html">He_Arc::RPG::Utility</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html#a7ffbfc47c840ca80e1a77ca6e5c02fc3">WaitEnterForContinue</a>(bool showMsg=true)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html">He_Arc::RPG::Utility</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~Utility</b>()=default (defined in <a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html">He_Arc::RPG::Utility</a>)</td><td class="entry"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_utility.html">He_Arc::RPG::Utility</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
